using Photon.Pun;

public class BurnEffectInstance : BaseDamageOverTimeEffectInstance
{
    public override DamageOverTimeType DamageType => DamageOverTimeType.Burn;

    [PunRPC]
    public void RPC_ApplyDamageOverTimeEffectBurn(int effectIndex, float value)
    {
        ApplyEffect(StatusEffectIndexer.Instance.StatusEffects[effectIndex], value);
    }

    [PunRPC]
    public void RPC_EffectAppliedBurn()
    {
        OnEffectStackAddedEvent.Invoke();
    }

    [PunRPC]
    public void RPC_EffectEndedBurn()
    {
        OnEffectEnded.Invoke();
    }
}